# Groovy Cheminformatics with the Chemistry Development Kit

<script type="application/ld+json">
{
  "@context":"http://schema.org/",
  "@type":"CreativeWork",
  "about":"This text book describes how to write cheminformatics software with Groovy and the Chemistry Development Kit.",
  "audience":[{
    "@type":"Audience","name":"post-docs"
  }],
  "genre":[{
    "@type":"URL","url":"http://edamontology.org/topic_2258"
  }],
  "name":"Groovy Cheminformatics with the Chemistry Development Kit",
  "author":[{
    "@type":"Person",
    "name":"Egon Willighagen",
    "identifier":"0000-0001-7542-0286"
  }],
  "keywords":"cheminformatics, chemoinformatics, java, Groovy, Chemistry Development Kit, CDK",
  "license":"CC BY-SA 4.0",
  "url": "https://egonw.github.io/cdkbook/",
  "version":"<version/>-<minor/>"
}
</script>


Edition <version/>-<minor/>

**Egon L. Willighagen** PhD<br />
Long time CDK developer

© E.L. Willighagen 2011-2023

License: CC-BY-SA 4.0 International

[![DOI](https://zenodo.org/badge/163004968.svg)](https://zenodo.org/badge/latestdoi/163004968)

## Warning

This book is being opensourced [<cite>Q115942292</cite>]. This involves transforming the LaTeX source into Markdown,
and updating all scripts to ensure all the automation works well. I have made good
steps forward, but it will take some time for things to iron out. If you find issue,
please report them [here](https://github.com/egonw/cdkbook/issues). If you like this
book, please give the [GitHub repository](https://github.com/egonw/cdkbook/) a star.

## Contents

<toc>toc.txt</toc>

[Index](indexList.i.md) <br />

[Appendix A](appatomtypes.i.md) <br />
A.1 [CDK Atom Types](appatomtypes.i.md#cdk-atom-types) <br />
A.2 [Sybyl Atom Types](appatomtypes.i.md#sybyl-atom-types) <br />
[Appendix B](appisotopes.i.md) <br />
B.1 [Isotope List](appisotopes.i.md) <br />
[Appendix C](appmoldescs.i.md) <br />
C.1 [Molecular Descriptors](appmoldescs.i.md#molecular-descriptors) <br />
C.2 [Atomic Descriptors](appmoldescs.i.md#atomic-descriptors) <br />
C.3 [Atom-Pair Descriptors](appmoldescs.i.md#atom-pair-descriptors) <br />
C.4 [Bond Descriptors](appmoldescs.i.md#bond-descriptors) <br />
C.5 [Protein Descriptors](appmoldescs.i.md#protein-descriptors) <br />
[Appendix D](appfileformats.i.md) <br />
D.1 [Readers and Writers](appfileformats.i.md#the-readers-and-writers) <br />

## References

<references/>
