<section label="intro" level="#">Introduction</section>

Readers of this book will probably know what the
[Chemistry Development Kit](http://cdk.github.io/)
(CDK) is: *An Open-Source Java Library for Chemo- and
Bioinformatics* [<cite>Q27061829</cite>]. While the CDK project was founded in
2000, the code base originates from the groundbreaking open source
cheminformatics work [Christoph Steinbeck](https://en.wikipedia.org/wiki/Christoph_Steinbeck) started in 1997 with the
[JChemPaint](https://jchempaint.github.io/) [<cite>Q27093381</cite>] and CompChem projects.

This book is not about those past projects, however; it is about the CDK as it is
now. It has evolved enormously over the past 10 years, and got more and more
functionality [<cite>Q27065423</cite>,<cite>Q30149558</cite>], thanx to the many contributors
(see the [Author List](https://github.com/cdk/cdk/blob/master/AUTHORS.txt)). Moreover, by now, the CDK has shown its
role in many cheminformatics and bioinformatics fields, and you will find that
this book cites many scientific papers that use the CDK.

The goal of this book is to introduce the reader, you, to the wide variety of
functionality available in the library. It will discuss parts of the data model,
basic cheminformatics algorithms, chemical file formats, as well as some
of the applications of the CDK.

During the discussion of the various features, we will also discuss some
of the important cheminformatics concepts, but in a minimal way only. The goal of this
book is not to provide an introduction into cheminformatics. For that,
various other books are available [<cite>Q60167226</cite>,<cite>Q60167327</cite>,<cite>Q60167690</cite>,<cite>Q47543807</cite>,<cite>Q60167615</cite>].

As such, this book does require a basic chemical education. It assumes that
you know what atoms are, how they are connected by chemical bonds, and it
assumes some basic computer knowledge. This book is about learning how to
perform cheminformatics tasks using the CDK. But to keep the required
knowledge to a minimum, the examples will be pretty verbose.

## References

<references/>
